/*
 nodeG1Config.h - Langlo Atmosphere Packet Sender Node configuration parameters
 Version 1.0.0	06/11/2019
 
 Created by Peter Harrison, November 2019

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 */

#ifndef nodeG1Config_h
#define nodeG1Config_h

const int MQTTUpdateInterval = 60; // 1 minute

// Node-specific parameters
// MAC Addresses - Hard coded at this stage only to simplify system development

const uint32_t myMAC = 0xA16EF174;		// Heltec WiFi LoRa 1
const uint32_t node1MAC = 0xA16EF75C;	// Heltec WiFi LoRa 2
const uint32_t node2MAC = 0xA1125785;	// Elecrow ESP32 Dev 1
const uint32_t node3MAC = 0xA1125398;	// Elecrow ESP32 Dev 2
const uint32_t node4MAC = 0xA1517110;	// Heltec Wireless Stick Lite 1
const uint32_t node5MAC = 0xA151739C;	// Heltec Wireless Stick Lite 2
const uint32_t node6MAC = 0xA1C00001; // Heltec CubeCell 1
const uint32_t node7MAC = 0xA1C00002; // Heltec CubeCell 2
const uint32_t node8MAC = 0xA1E00001; // Arduino Pro Mini 1
const uint32_t node9MAC = 0xA1E00002; // Arduino Pro Mini 2
const uint32_t nodeAMAC = 0xA1E00003; // Arduino Pro Mini 3
const uint32_t nodeBMAC = 0xA1E00004; // Arduino Pro Mini 4

// Node name
const char* myName = "LoRa-Gateway";

#endif
