/*
 nodeS1Config.h - Langlo Battery Packet Sender Node configuration parameters
 Version 1.0.0	06/11/2019
 
 Created by Peter Harrison, November 2019

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 */
 
#ifndef nodeS1Config_h
#define nodeS1Config_h

// Node-specific parameters

// MAC Address - Hard coded at this stage only to simplify system development
const uint32_t  myMAC = 0xA1517110; // Heltec Wireless Stick Lite 1
//const uint32_t  myMAC = 0xA151739c; // Heltec Wireless Stick Lite 2
const uint32_t  gatewayMAC = 0xA16EF174; // Heltec WiFi LoRa 32 Gateway Node

// Deep sleep stuff
#define uS_TO_S_FACTOR 1000000  /* Conversion factor for micro seconds to seconds */
#define TIME_TO_SLEEP  60       /* Time ESP32 will go to sleep (in seconds) */

// Node name
const char* myName = "Stick-1";

#endif
